#include "clocktest.h"
#include "./ui_clocktest.h"

#include <QVBoxLayout>

ClockTest::ClockTest(QWidget *parent) : QMainWindow(parent), ui(new Ui::ClockTest)
{
    ui->setupUi(this);

    // instantiate the clock widget
    clock_widget_ = std::make_shared<ClockWidget>( this, "button-153684_960_720.png" );
    // and the layout for the left frame
    clock_layout_ = std::make_shared<QVBoxLayout>( ui->frm_left );
    // add the widget to the left frame through this layout
    clock_layout_->addWidget( clock_widget_.get() );
}

ClockTest::~ClockTest()
{
    delete ui;
}
