#ifndef CLOCKTEST_H
#define CLOCKTEST_H

#include <QMainWindow>

#include "clockwidget.h"

QT_BEGIN_NAMESPACE
namespace Ui { class ClockTest; }
QT_END_NAMESPACE

class ClockTest : public QMainWindow
{
    Q_OBJECT

public:
    ClockTest(QWidget *parent = nullptr);
    ~ClockTest();

private:
    Ui::ClockTest *ui;

    std::shared_ptr<ClockWidget> clock_widget_; /* custom clock widget */
    std::shared_ptr<QLayout> clock_layout_; /* layout used for the clock widget */
};
#endif // CLOCKTEST_H
